Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Konst_777
Beginner
1,351 Views

Quartus Prime Pro 19.2: NIOS II Command Shell and Nios II SBT for Eclipse are not working under Windows 10 Pro 1903

NIOS II Command Shell and Nios II SBT for Eclipse are not working under Windows 10 Pro 1903 in Quartus Prime Pro 19.2.

 

I get the following messages after launch Nios II Command Shell (Quartus Prime Pro 19.2):

'wsl' is not recognized as an internal or external command, operable program or batch file. 'wsl' is not recognized as an internal or external command, operable program or batch file. Press any key to continue . . .

 

I get nothing after launch Nios II Software Build Tools for Eclipse (Quartus Prime Pro 19.2). Searching the web gives the following solution: “Is the Nios® II Software Build Tools (SBT) for Eclipse included in the full installation of the Inte...”. After the required steps are met, the Nios II SBT is launched, but when creating a project, it issues:

Nios II trouble.png

 

 

What needs to be done to solve these problems?

0 Kudos
12 Replies
Ahmed_H_Intel1
Employee
570 Views

Hi,

I will check for you what makes this error appears. But before that I have to ask you some questions:

Did you try any other version? like 18.1?

Are you facing any error with the license?

Regards,

Konst_777
Beginner
570 Views

Hi Embedded_guy,

 

"Did you try any other version? like 18.1?"

Yes, I migrated my project from Quartus Prime Pro Version 18.1.1 Build 263 in the hope that there will be fewer problems with the new version. There were no problems with Nios II SBT for Eclipse in the version 18.1.

 

"Are you facing any error with the license?"

No.

 

 

 

Konst_777
Beginner
570 Views

Embedded_guy promised to help and disappeared somewhere. Having insurmountable difficulties?

Ahmed_H_Intel1
Employee
570 Views

Hi Konst_777,

I've opened an internal ticket to check this error, it might be a reversion issue. I apologize for any inconvenience. Please try the 18.0 and let me know if you still having the same problem.

Here is the ticket number for your reference:

1507321697

I am seeking for your patience till we get this issue resolved.

Regards,

 

Konst_777
Beginner
570 Views

Dear Embedded_guy,

 

I tried to install Ubuntu 18.04 LTS running on Windows Subsystem for Linux (WSL) in Windows 10 Pro. After that, the NIOS II Command Shell began to work. But the Nios II SBT for Eclipse displays the same message as before when creating a project.

Now I use the Quartus from the installation 19.2 and the Nios II SBT from the installation 18.1.

 

Regards,

 

Ahmed_H_Intel1
Employee
570 Views

Dear Konst_777,

I've created an internal ticket to check this error, confirm it and solve it if it exists.

I am seeking your patience in this to get resolved.

Regards,

 

Ahmed_H_Intel1
Employee
570 Views

Hi Konst_777,

The error you are seeing is expected. You need to install WSL and Ubuntu 18.04 LTS for Nios EDS to work in windows from 19.2 onward.

Regards,

 

Konst_777
Beginner
570 Views

Hi Embedded_guy,

 

Please see my message from 23 July 2019 in this post: "But the Nios II SBT for Eclipse displays the same message as before when creating a project."

 

Regards,

Ahmed_H_Intel1
Employee
570 Views

Thanks for trying, I will check with the software engineering team.

 

Konst_777
Beginner
570 Views

Dear Embedded_guy,

 

Please ask the software engineering team add to the article "How do I install the Windows* Subsystem for Linux* (WSL) on Windows?" in the Knowledge Data Base the information about environment variables settings for Windows 10 and Ubuntu 18.04 LTS.

Unfortunately, to the Knowledge Data Base has not yet added possibility to view only articles for versions 19.x of the Quartus. Please ask the software engineering team add "v19.x" to the selector "Quartus Version".

 

Regards,

 

Ahmed_H_Intel1
Employee
570 Views

Thanks for your suggestion. your suggestions are very valued to us, I sent them to the engineering team.

Regards,

Ahmed_H_Intel1
Employee
570 Views

Hi,

Your request is under process now. We are updating the Knowledge Data Base to include the requested info. I really appreciate your help.

Regards.

 

Reply